/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

*/
#ifndef _NJ_CNK_EASY_H_
#define _NJ_CNK_EASY_H_

typedef    struct    {
    Float    x;                /* Screen X                */
    Float    y;                /* Screen Y                */
    Float    ooz;              /* One over Z              */
    Float    inten;            /* intensity               */
} NJS_CNK_EASY_BUF;


void    njCnkSetEasyLight( Float x,Float y,Float z );
void    njCnkSetEasyLightIntensity( Float inten, Float ambient );
void    njCnkSetEasyLightColor( Float r, Float g, Float b );
Sint32  njCnkEasyDrawModel( NJS_CNK_MODEL *model );
void    njCnkEasyDrawObject( NJS_CNK_OBJECT *object );


Sint32  njCnkEasyDrawModel2p( NJS_CNK_MODEL *model , Float *color);
void    njCnkEasyDrawObject2p( NJS_CNK_OBJECT *model , Float *color);

#endif	/*	_NJ_CNK_EASY_H_	*/

/*
 * End Of File
 */
